<VirtualHost *:6445>
    ServerAdmin webmaster@localhost
    ServerName hostname.example.com
    DocumentRoot /var/www/html/frontend


    SSLEngine On
    SSLProtocol -ALL +TLSv1.2
    SSLCompression Off
    SSLHonorCipherOrder On
    SSLCipherSuite ECDH+AESGCM:ECDH+AES256:!aNULL:!MD5:!DSS:!DH:!AES128
    SSLVerifyDepth 10
    SSLCertificateFile /etc/ssl/web/certificate.crt
    SSLCertificateKeyFile /etc/ssl/web/private.key
    SSLCACertificateFile /etc/ssl/web/ca-cert.crt



    RewriteEngine On
    RewriteRule ^index\.html$ - [L]
    RewriteCond %{DOCUMENT_ROOT}%{REQUEST_FILENAME} !-f
    RewriteCond %{DOCUMENT_ROOT}%{REQUEST_FILENAME} !-d
    RewriteRule !^/api/\.* /index.html [L]

    Alias /api /var/www/html/backend/public
    <Directory /var/www/html/backend/public>
        RewriteEngine On
        RewriteCond %{REQUEST_FILENAME} !-f
        RewriteCond %{REQUEST_FILENAME} !-d
        RewriteRule ^ index.php [QSA,L]
    </Directory>

</VirtualHost>